CVE-2000-1208
CVSS7.2
发布时间 :2002-08-12 00:00:00
修订时间 :2016-10-17 22:09:15
NMCOS    

[原文]Format string vulnerability in startprinting() function of printjob.c in BSD-based lpr lpd package may allow local users to gain privileges via an improper syslog call that uses format strings from the checkremote() call.


[CNNVD]多家厂商lpr远程格式串溢出漏洞(CNNVD-200208-067)

        
        lpr工具用于安排打印任务提交打印任务。
        多家厂商基于BSD的lpr工具实现上存在格式化串溢出漏洞,远程攻击者可能利用此漏洞在服务器上执行任意指令。
        lpr用到checkremote()函数,后者将用户输入内容组织成一个串,这个串会作为格式化串送往syslog,潜在地存在前段时间所披露的格式化串漏洞。
        有问题的代码在lpr/lpd/printjob.c中:
        if ((s = checkremote()))
         syslog(LOG_WARNING, s);
        

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:immunix:immunix:6.2
cpe:/o:redhat:linux:7.0Red Hat Linux 7.0
cpe:/o:netbsd:netbsd:1.4NetBSD 1.4
cpe:/o:openbsd:openbsd:2.7OpenBSD 2.7
cpe:/o:netbsd:netbsd:1.4.2NetBSD 1.4.2
cpe:/o:netbsd:netbsd:1.4.1NetBSD 1.4.1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2000-1208
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2000-1208
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200208-067
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=96994604300675&w=2
(UNKNOWN)  BUGTRAQ  20000925 Format strings: bug #1: BSD-lpr
http://online.securityfocus.com/archive/1/137555
(UNKNOWN)  BUGTRAQ  20001004 Immunix OS Security Update for lpr
http://www.iss.net/security_center/static/5286.php
(VENDOR_ADVISORY)  XF  lpr-checkremote-format-string(5286)
http://www.redhat.com/support/errata/RHSA-2000-066.html
(VENDOR_ADVISORY)  REDHAT  RHSA-2000:066
http://www.securityfocus.com/bid/1711
(UNKNOWN)  BID  1711

- 漏洞信息

多家厂商lpr远程格式串溢出漏洞
高危 输入验证
2002-08-12 00:00:00 2006-09-15 00:00:00
本地  
        
        lpr工具用于安排打印任务提交打印任务。
        多家厂商基于BSD的lpr工具实现上存在格式化串溢出漏洞,远程攻击者可能利用此漏洞在服务器上执行任意指令。
        lpr用到checkremote()函数,后者将用户输入内容组织成一个串,这个串会作为格式化串送往syslog,潜在地存在前段时间所披露的格式化串漏洞。
        有问题的代码在lpr/lpd/printjob.c中:
        if ((s = checkremote()))
         syslog(LOG_WARNING, s);
        

- 公告与补丁

        厂商补丁:
        RedHat
        ------
        RedHat已经为此发布了一个安全公告(RHSA-2000:066-05)以及相应补丁:
        RHSA-2000:066-05:lpr has a format string security bug, LPRng compat issues, and a race cond.
        链接:https://www.redhat.com/support/errata/RHSA-2000-066.html
        补丁下载:
        Red Hat Linux 5.2:
        alpha:
        ftp://updates.redhat.com/5.2/alpha/lpr-0.50-7.5.x.alpha.rpm
        sparc:
        ftp://updates.redhat.com/5.2/sparc/lpr-0.50-7.5.x.sparc.rpm
        i386:
        ftp://updates.redhat.com/5.2/i386/lpr-0.50-7.5.x.i386.rpm
        sources:
        ftp://updates.redhat.com/5.2/SRPMS/lpr-0.50-7.5.x.src.rpm
        Red Hat Linux 6.x:
        alpha:
        ftp://updates.redhat.com/6.2/alpha/lpr-0.50-7.6.x.alpha.rpm
        sparc:
        ftp://updates.redhat.com/6.2/sparc/lpr-0.50-7.6.x.sparc.rpm
        i386:
        ftp://updates.redhat.com/6.2/i386/lpr-0.50-7.6.x.i386.rpm
        sources:
        ftp://updates.redhat.com/6.2/SRPMS/lpr-0.50-7.6.x.src.rpm
        可使用下列命令安装补丁:
        rpm -Fvh [文件名]

- 漏洞信息

13765
BSD-based lpr Package startprinting() Function Local Format String
Local Access Required, Local / Remote, Context Dependent Input Manipulation
Loss of Integrity Patch / RCS, Upgrade
Vendor Verified

- 漏洞描述

Unknown or Incomplete

- 时间线

2000-09-26 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Multiple Vendor lpr Format String Vulnerability
Input Validation Error 1711
No Yes
2000-09-26 12:00:00 2009-07-11 03:56:00
This vulnerability was originally reported to bugtraq by Chris Evans <chris@scary.beasts.org> on September 25, 2000.

- 受影响的程序版本

Wirex Immunix OS 6.2
RedHat Linux 7.0
OpenBSD OpenBSD 2.7
NetBSD NetBSD 1.4.2
NetBSD NetBSD 1.4.1
NetBSD NetBSD 1.4
S.u.S.E. Linux 7.0
S.u.S.E. Linux 6.4
S.u.S.E. Linux 6.3

- 不受影响的程序版本

S.u.S.E. Linux 7.0
S.u.S.E. Linux 6.4
S.u.S.E. Linux 6.3

- 漏洞讨论

lpr is a utility which queues print jobs and submits them to a destination.

lpr contains a function called checkremote() which returns a pointer to a null terminated character string. This string is passed to syslog() as its primary argument, the format string. As a result, if this string is constructed so that malicious format specifiers can be included, syslog can crash or be exploited to execute arbitrary code. It has been reported that intentional user input into this string is not possible without root access and thus It is considered unlikely that this vulnerability is exploitable.

As OpenBSD lpr is derived from the BSD source tree, other modern BSD distributions may be vulnerable as well.

RedHat advisory RHSA-2000:066-03 makes note of additional minor issues relating to LPR including a potential DoS as well as a race condition allowing the queue to become wedged. See Reference section for details.

- 漏洞利用

Currently the SecurityFocus staff are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com.

- 解决方案

As part of their "format strings" audit, OpenBSD have independently discovered and corrected this vulnerability in their CVS.

This was fixed in NetBSD within the last 17 hours. http://cvsweb.netbsd.org/bsdweb.cgi/basesrc/usr.sbin/lpr/lpd/printjob.c

RedHat:

For each RPM for your particular architecture, run:

rpm -Fvh [filename]

where filename is the name of the RPM.

RPMs required:

Red Hat Linux 5.2:

alpha:
ftp://updates.redhat.com/5.2/alpha/lpr-0.50-7.5.x.alpha.rpm

sparc:
ftp://updates.redhat.com/5.2/sparc/lpr-0.50-7.5.x.sparc.rpm

i386:
ftp://updates.redhat.com/5.2/i386/lpr-0.50-7.5.x.i386.rpm

sources:
ftp://updates.redhat.com/5.2/SRPMS/lpr-0.50-7.5.x.src.rpm

Red Hat Linux 6.x:

alpha:
ftp://updates.redhat.com/6.2/alpha/lpr-0.50-7.6.x.alpha.rpm

sparc:
ftp://updates.redhat.com/6.2/sparc/lpr-0.50-7.6.x.sparc.rpm

i386:
ftp://updates.redhat.com/6.2/i386/lpr-0.50-7.6.x.i386.rpm

sources:
ftp://updates.redhat.com/6.2/SRPMS/lpr-0.50-7.6.x.src.rpm

Immunix:

packages for this update for Immunix OS 6.2 (StackGuarded versions of the RedHat packages.) They can be found at:

http://immunix.org:8080/ImmunixOS/6.2/updates/RPMS/lpr-0.50-7_StackGuard.i386.rpm

or

http://www.immunix.org:8080/ImmunixOS/6.2/updates/SRPMS/lpr-0.50-7_StackGuard.src.rpm

md5sums of the packages:
5f08dd8fadc05e71bbdafad6b2744dc8 lpr-0.50-7_StackGuard.i386.rpm
641637b987c94c9d3644946e4b006007 lpr-0.50-7_StackGuard.src.rpm

Mandrake:

Linux-Mandrake 6.0:
d19963294f539c64a4e852fb3f1f8c89 6.0/RPMS/lpr-0.50-3mdk.i586.rpm
6026033d4fe19be43694a653d495af0a 6.0/SRPMS/lpr-0.50-3mdk.src.rpm

Linux-Mandrake 6.1:
128b012e397473163c1e2c1ed4b78806 6.1/RPMS/lpr-0.50-3mdk.i586.rpm
6026033d4fe19be43694a653d495af0a 6.1/SRPMS/lpr-0.50-3mdk.src.rpm

Linux-Mandrake 7.0:
0ce870aa142c3482bdd0ad7b72a422c1 7.0/RPMS/lpr-0.50-3mdk.i586.rpm
6026033d4fe19be43694a653d495af0a 7.0/SRPMS/lpr-0.50-3mdk.src.rpm

Linux-Mandrake 7.1:
6d82c047a905fea7edecc9bed347eae0 7.1/RPMS/lpr-0.50-3mdk.i586.rpm
6026033d4fe19be43694a653d495af0a 7.1/SRPMS/lpr-0.50-3mdk.src.rpm


Wirex Immunix OS 6.2

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站